Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 673 - com_err.h in wrong directory or com_err man page wrong
Summary: com_err.h in wrong directory or com_err man page wrong
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: e2fsprogs
Version: 5.2
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Florian La Roche
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-01-03 05:12 UTC by bam
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-01-14 20:35:30 UTC


Attachments (Terms of Use)

Description bam 1999-01-03 05:12:42 UTC
The com_err man page declares #include <com_err.h> yet after
an install this file is placed in /usr/include/et/com_err.h.

As a result many files in the cyrus distrib. fail to
compile (they reference it as the man page suggests).

In a related item: the /usr/bin/compile_et script has a
wrong directory assigned to ET_DIR causing this script to
fail.  The correct setting should be ET_DIR=/usr/share/et.

Comment 1 David Lawrence 1999-01-04 20:31:59 UTC
I have verified that these are true as reported. The script does fail
complaining about not being able to find its template files which are
located in /usr/share/et.

Comment 2 Jeff Johnson 1999-01-14 20:35:59 UTC
Fixed in dist-6.0 e2fsprogs-1.13-3

------- Additional Comments From   10/22/99 22:46 -------
This was fixed in e2fsprogs 1.14, but because you guys fixed the bug
by hacking the spec file to post-process the installed file, I didn't
notice the fix.   This was a really ugly way to fix things guys....
why didn't you use the RPM patch file facility.  I do scan the redhat
RPM looking for patches you may have applied, but I don't necessarily
go looking for gross kludges located in the spec file.  This is a
problem since the kludge is still in the spec file in
e2fsprogs-1.15-3, even though the shell script bug was long fixed.
Lucky for you I noticed this while I was preparing my 1.16 release, so
I noticed the man page problem.   But I must say I'm pretty
disappointed....

						- Ted


Note You need to log in before you can comment on or make changes to this bug.